<template>
  <v-data-table
    :headers="headers"
    :items="orders"
    dense
  >
    <template #item.id="{ item }">
      {{ hashId(item) }}
    </template>
    <template #item.units="{ item }">
      {{ withZeros({ id: item.toSendUnits, zeros: 2 }) }}
    </template>
  </v-data-table>
</template>

<script>
import { mapActions, mapState } from 'vuex';
import { hashId, withZeros } from '~/helpers/format/ids';

export default {
  name: 'OrdersToDispatch',
  data: () => ({
    headers: [
      { text: 'Nª', align: 'start', sortable: true, value: 'id' },
      { text: 'Cliente', sortable: true, value: 'client.businessName' },
      { text: 'Unidades (pallets)', sortable: true, value: 'units', align: 'center' },
    ],
  }),
  computed: {
    ...mapState({
      orders: state => state.programming.dispatches.current.orders,
    }),
  },
  methods: {
    hashId,
    withZeros,
    ...mapActions({
      getAllOrders: 'sync/orders/getAllOrders',
    }),
  },
};
</script>
